#
# spec file for package xhost
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xhost
Version:        1.0.9
Release:        1.2
Summary:        Utility to control X server access
License:        MIT
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
Source1:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz.sig
Source2:        xhost.keyring
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xmuu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.22
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
xhost is used to manage the list of host names or user names
allowed to make connections to the X server.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog README.md
%{_bindir}/xhost
%{_mandir}/man1/xhost.1%{?ext_man}

%changelog
* Wed Dec 28 2022 Dirk Müller <dmueller@suse.com>
- update to 1.0.9:
  * Simplify i18n of 'unable to get ... address for ...' error message
  * Use gettext() to localize messages if available
  * Recognize raw IPv6 numeric address
  * Build xz tarballs instead of bzip2
- add keyring, use https for download
* Fri Mar 12 2021 Dirk Müller <dmueller@suse.com>
- refresh spec file (move license files)
* Wed Feb 20 2019 sndirsch@suse.com
- Update to version 1.0.8
  * This release hardens xhost against corrupted or malicious responses from
    the X server, as well as some minor bug & compatibility fixes, and general
    janitorial maintenance.
* Fri Apr 24 2015 sndirsch@suse.com
- Update to version 1.0.7:
  * Add AC_USE_SYSTEM_EXTENSIONS to expose non-standard extensions
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
* Sun Jul 21 2013 zaitor@opensuse.org
- Update to version 1.0.6:
  + Fix const warning for FamilyLocalHost empty address string.
  + Mark argument to nameserver_lost signal handler as unused.
  + If SIGALRM isn't available, don't use alarm() to timeout
    gethostaddr(), just wait.
  + Drop pre-POSIX signal handling support in favor of sigaction().
  + Provide dummy sethostent(),endhostent() for Win32 also.
  + Link with winsock for MinGW.
  + Use Xwinsock.h on WIN32.
  + Fix some integer sign/size conversion warnings flagged by
    clang.
  + Convert sprintf to snprintf in SECURE_RPC code.
  + Move dpy declaration from static to main() function.
  + Assume signal handlers return void, as C89 requires.
  + Remove unused TLI ("STREAMSCONN") code from xhost.
  + Remove unused DECnet ("DNETCONN") code from xhost.
- Add pkgconfig(xproto) BuildRequires: new dependency.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.5:
  + Rework si:type:value code to remove need for shadowed namelen
    variable
  + man: xhost can not take a user name as a parameter.
  + Declare some char * as const to fix gcc -Wwrite-strings
    warnings
  + Only need CFLAGS, not LIBS from xau package
  + Move "-help" handling up to before XOpenDisplay (fdo#39633)
  + xhost: check return value of X{Add,Remove}Host
  + Build system fixes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xhost from xorg-x11. Initial version: 1.0.4.
